// Copyright 2000-2024 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.java.compiler.charts.ui

class AutoScrollingType {
  private var type: Type = Type.YES

  fun isEnabled() = type != Type.DISABLED
  fun isActive() = type == Type.YES

  fun start() {
    type = Type.YES
  }

  fun stop() {
    type = Type.NO
  }

  fun enable() {
    type = Type.NO
  }

  fun disable() {
    type = Type.DISABLED
  }

  private enum class Type {
    YES,
    NO,
    DISABLED
  }
}